[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Doubt regarding slave OpenLDAP version?????

My Suggestion.

Do not use Red Hat's OpenLDAP RPMs.  They are known to be problematic. They are designed more for client support then running a server.

I find it odd that your application only supports OpenLDAP 2.2.  This sounds like a vendor support document limitation than anything else.  
Your slave should be similar to your master.  Otherwise, you will have a hard time dealing with feature differences.  Not to mention, slurpd is gone in 2.4.
I don't recommend it - and am not sure if you could even get it to work.  Would not even suggest trying.
Enjoy Reading

On Mar 27, 2008, at 1:44 AM, Padmavathi Dt wrote:

Hii List,
              In the starting of our project we have installed openldap-2.4.7.It was working fine.But due to incompatibility with some other application,we have
              installed 2.2.13 according to documentation of that application.We used the same "bdb" (berkeley db-4.6.21)   as recommended by the          README of  earlier one ( openldap-2.4.7) .It worked fine....

                We have a working slapd of openldap-2.2.13..Now we are planning to implement replication on similar machine(Red Hat Linux).
              My doubt is about the version of slave LDAP.Should it be the same as Master?
            If so we already have the openldap-2.2.13 rpms installed on our target machine.So can we use them?
           What about the version of "bdb" to be installed on the slave.Should it match with the master?
           I am really new to all these things so please dont get annoyed at my questions...........
           Also please guide me where I can get the Admin guide for this version as I have the one for openLDAP-2.4.7

I am eagerly waiting for a response.........Loads of Thanx in advance.


Notice: The information contained in this e-mail
message and/or attachments to it may contain 
confidential or privileged information. If you are 
not the intended recipient, any dissemination, use, 
review, distribution, printing or copying of the 
information contained in this e-mail message 
and/or attachments to it are strictly prohibited. If 
you have received this communication in error, 
please notify us by reply e-mail or telephone and 
immediately and permanently delete the message 
and any attachments. Thank you

Chris G. Sellers | NITLE  - Technology Team
AIM: imthewherd | GoogleTalk: cgseller@gmail.com